## elog 2.5.2

=== Makefile ===
#
# Simple makefile for elogd
#
# S. Ritt, May 12th 2000
# install/clean section by Th. Bullinger, Apr. 26th, 2002
#
# add "-DHAVE_CRYPT" and "-lcrypt" to use crypt() function
#

CC = gcc
LIBS = 
CFLAGS = -g -O -W -Wall
IFLAGS = -kr -nut -i3 -l90
EXECS = elog elogd elconv
DESTDIR = /usr/local/bin
SDESTDIR = /usr/local/sbin
MANDIR = /usr/local/man

INSTALL = /usr/bin/install
RM = /bin/rm

ifeq ($(OSTYPE),solaris)
CC = gcc
LIBS = -lsocket -lnsl
CFLAGS =
INSTALL = /usr/ucb/install
RM = /usr/bin/rm
endif

ifeq ($(OSTYPE),darwin)
CC = cc
endif

all: $(EXECS)

%: src/%.c
	$(CC) $(CFLAGS) -o $@ $< $(LIBS)

indent:
	indent $(IFLAGS) src/elogd.c
	indent $(IFLAGS) src/elog.c
	indent $(IFLAGS) src/elconv.c
	indent $(IFLAGS) src/locext.c

loc:
	locext src\elogd.c eloglang.brazilian
	locext src\elogd.c eloglang.dutch
	locext src\elogd.c eloglang.french
	locext src\elogd.c eloglang.german
	locext src\elogd.c eloglang.spanish
	locext src\elogd.c eloglang.italian
	locext src\elogd.c eloglang.japanese

install: $(EXECS)
	$(INSTALL) -m 0755 -d $(DESTDIR) $(SDESTDIR) $(MANDIR)/man1/ $(MANDIR)/man8/
	$(INSTALL) -m 0755 -o bin -g bin elog elconv $(DESTDIR)
	$(INSTALL) -m 0755 -o bin -g bin elogd $(SDESTDIR)
	$(INSTALL) -m 0644 man/elog.1 man/elconv.1 $(MANDIR)/man1/
	$(INSTALL) -m 0644 man/elogd.8 $(MANDIR)/man8/

clean:
	-$(RM) *~ $(EXECS)

## elog 2.5.7+r1558

=== Makefile ===
--- 
+++ 
@@ -4,13 +4,18 @@
 # S. Ritt, May 12th 2000
 # install/clean section by Th. Bullinger, Apr. 26th, 2002
 #
-# add "-DHAVE_CRYPT" and "-lcrypt" to use crypt() function
-#
+
+ifndef DEBUG
+# Default compilation flags unless stated otherwise.
+# Add "-DHAVE_CRYPT" and "-lcrypt" to use crypt() function.
+CFLAGS += -O3 -funroll-loops -fomit-frame-pointer -W -Wall
+else
+# Build with e.g. 'make DEBUG=1' to turn on debugging.
+CFLAGS += -g -O -W -Wall -DDEBUG=1
+endif
 
 CC = gcc
-LIBS = 
-CFLAGS = -g -O -W -Wall
-IFLAGS = -kr -nut -i3 -l90
+IFLAGS = -kr -nut -i3 -l110
 EXECS = elog elogd elconv
 DESTDIR = /usr/local/bin
 SDESTDIR = /usr/local/sbin
@@ -21,7 +26,7 @@
 
 ifeq ($(OSTYPE),solaris)
 CC = gcc
-LIBS = -lsocket -lnsl
+LIBS += -lsocket -lnsl
 CFLAGS =
 INSTALL = /usr/ucb/install
 RM = /usr/bin/rm
@@ -32,6 +37,12 @@
 endif
 
 all: $(EXECS)
+
+regex.o: src/regex.c src/regex.h
+	$(CC) $(CFLAGS) -c -o regex.o src/regex.c
+
+elogd: src/elogd.c regex.o
+	$(CC) $(CFLAGS) -o elogd src/elogd.c regex.o $(LIBS)
 
 %: src/%.c
 	$(CC) $(CFLAGS) -o $@ $< $(LIBS)
@@ -44,12 +55,14 @@
 
 loc:
 	locext src\elogd.c eloglang.brazilian
+	locext src\elogd.c eloglang.bulgarian
 	locext src\elogd.c eloglang.dutch
 	locext src\elogd.c eloglang.french
 	locext src\elogd.c eloglang.german
 	locext src\elogd.c eloglang.spanish
 	locext src\elogd.c eloglang.italian
 	locext src\elogd.c eloglang.japanese
+	locext src\elogd.c eloglang.danish
 
 install: $(EXECS)
 	$(INSTALL) -m 0755 -d $(DESTDIR) $(SDESTDIR) $(MANDIR)/man1/ $(MANDIR)/man8/
@@ -58,5 +71,7 @@
 	$(INSTALL) -m 0644 man/elog.1 man/elconv.1 $(MANDIR)/man1/
 	$(INSTALL) -m 0644 man/elogd.8 $(MANDIR)/man8/
 
+restart:
+	/etc/rc.d/init.d/elogd restart
 clean:
-	-$(RM) *~ $(EXECS)
+	-$(RM) *~ $(EXECS) regex.o

## elog 2.5.9+r1674

=== elog-2.5.9/Makefile ===
#
# Simple makefile for elogd
#
# S. Ritt, May 12th 2000
# install/clean section by Th. Bullinger, Apr. 26th, 2002
#

ifndef DEBUG
# Default compilation flags unless stated otherwise.
# Add "-DHAVE_CRYPT" and "-lcrypt" to use crypt() function.
CFLAGS += -O3 -funroll-loops -fomit-frame-pointer -W -Wall
else
# Build with e.g. 'make DEBUG=1' to turn on debugging.
CFLAGS += -g -O -W -Wall -DDEBUG=1
endif

CC = gcc
IFLAGS = -kr -nut -i3 -l110
EXECS = elog elogd elconv
DESTDIR = /usr/local/bin
SDESTDIR = /usr/local/sbin
MANDIR = /usr/local/man
MXMLDIR = ../mxml

INSTALL = /usr/bin/install
RM = /bin/rm -f

ifeq ($(OSTYPE),solaris)
CC = gcc
LIBS += -lsocket -lnsl
CFLAGS =
INSTALL = /usr/ucb/install
RM = /usr/bin/rm -f
endif

ifeq ($(OSTYPE),darwin)
CC = cc
endif

all: $(EXECS)

regex.o: src/regex.c src/regex.h
	$(CC) $(CFLAGS) -c -o regex.o src/regex.c

mxml.o: $(MXMLDIR)/mxml.c $(MXMLDIR)/mxml.h
	$(CC) $(CFLAGS) -c -o mxml.o $(MXMLDIR)/mxml.c

strlcpy.o: $(MXMLDIR)/strlcpy.c $(MXMLDIR)/strlcpy.h
	$(CC) $(CFLAGS) -c -o strlcpy.o $(MXMLDIR)/strlcpy.c

elogd: src/elogd.c regex.o mxml.o strlcpy.o
	$(CC) $(CFLAGS) -I$(MXMLDIR) -o elogd src/elogd.c regex.o mxml.o strlcpy.o $(LIBS)

debug: src/elogd.c regex.o mxml.o strlcpy.o
	$(CC) -g -I$(MXMLDIR) -o elogd src/elogd.c regex.o mxml.o strlcpy.o $(LIBS)

%: src/%.c
	$(CC) $(CFLAGS) -o $@ $< $(LIBS)

indent:
	indent $(IFLAGS) src/elogd.c
	indent $(IFLAGS) src/elog.c
	indent $(IFLAGS) src/elconv.c
	indent $(IFLAGS) src/locext.c

loc:
	locext src\elogd.c eloglang.brazilian
	locext src\elogd.c eloglang.bulgarian
	locext src\elogd.c eloglang.dutch
	locext src\elogd.c eloglang.french
	locext src\elogd.c eloglang.german
	locext src\elogd.c eloglang.spanish
	locext src\elogd.c eloglang.italian
	locext src\elogd.c eloglang.japanese
	locext src\elogd.c eloglang.danish

install: $(EXECS)
	$(INSTALL) -m 0755 -d $(DESTDIR) $(SDESTDIR) $(MANDIR)/man1/ $(MANDIR)/man8/
	$(INSTALL) -m 0755 -o bin -g bin elog elconv $(DESTDIR)
	$(INSTALL) -m 0755 -o bin -g bin elogd $(SDESTDIR)
	$(INSTALL) -m 0644 man/elog.1 man/elconv.1 $(MANDIR)/man1/
	$(INSTALL) -m 0644 man/elogd.8 $(MANDIR)/man8/

restart:
	/etc/rc.d/init.d/elogd restart
clean:
	-$(RM) *~ $(EXECS) regex.o mxml.o strlcpy.o

## elog 2.6.1+r1642

=== elog/Makefile ===
# Simple makefile for elogd
#
# S. Ritt, May 12th 2000
# install/clean section by Th. Bullinger, Apr. 26th, 2002
#############################################################

#
# Directories for installation, modify if needed
#

ifndef PREFIX
PREFIX     = /usr/local
endif

ifndef MANDIR
MANDIR     = $(ROOT)$(PREFIX)/man
endif

ELOGDIR    = $(ROOT)$(PREFIX)/elog
DESTDIR    = $(ROOT)$(PREFIX)/bin
SDESTDIR   = $(ROOT)$(PREFIX)/sbin
RCDIR      = $(ROOT)/etc/rc.d/init.d

#############################################################

# Default compilation flags unless stated otherwise.
# Add "-DHAVE_CRYPT" and "-lcrypt" to use crypt() function.
CFLAGS += -O3 -funroll-loops -fomit-frame-pointer -W -Wall

CC = gcc
IFLAGS = -kr -nut -i3 -l110
EXECS = elog elogd elconv
MXMLDIR = ../mxml
BINOWNER = bin
BINGROUP = bin

INSTALL = /usr/bin/install
RM = /bin/rm -f

OSTYPE = $(shell uname)

# -lutil needed for forkpty()
LIBS += -lutil

ifeq ($(OSTYPE),solaris)
CC = gcc
LIBS += -lsocket -lnsl
CFLAGS =
INSTALL = /usr/ucb/install
RM = /usr/bin/rm -f
endif

ifeq ($(OSTYPE),Darwin)
OSTYPE=darwin
endif

ifeq ($(OSTYPE),darwin)
CC = cc
BINOWNER = root
BINGROUP = admin
endif

ifeq ($(OSTYPE),FreeBSD)
CC = gcc
BINOWNER = root
BINGROUP = wheel
endif

CFLAGS += -DOS_$(OSTYPE)

all: $(EXECS)

regex.o: src/regex.c src/regex.h
	$(CC) $(CFLAGS) -w -c -o regex.o src/regex.c

mxml.o: $(MXMLDIR)/mxml.c $(MXMLDIR)/mxml.h
	$(CC) $(CFLAGS) -c -o mxml.o $(MXMLDIR)/mxml.c

strlcpy.o: $(MXMLDIR)/strlcpy.c $(MXMLDIR)/strlcpy.h
	$(CC) $(CFLAGS) -c -o strlcpy.o $(MXMLDIR)/strlcpy.c

elogd: src/elogd.c regex.o mxml.o strlcpy.o
	$(CC) $(CFLAGS) -I$(MXMLDIR) -o elogd src/elogd.c regex.o mxml.o strlcpy.o $(LIBS)

debug: src/elogd.c regex.o mxml.o strlcpy.o
	$(CC) -g -I$(MXMLDIR) -o elogd src/elogd.c regex.o mxml.o strlcpy.o $(LIBS)

%: src/%.c
	$(CC) $(CFLAGS) -o $@ $< $(LIBS)

indent:
	for src in src/*.c; do \
		indent $(IFLAGS) $$src; \
	done

locext: src/locext.c
loc: locext
	@for lang in resources/eloglang*; do \
	  ./locext src/elogd.c $$lang; echo locext src/elogd.c $$lang;\
	done

update: $(EXECS)
	@$(INSTALL) -v -m 0755 -o ${BINOWNER} -g ${BINGROUP} elogd $(SDESTDIR)

install: $(EXECS)
	@$(INSTALL) -m 0755 -d $(DESTDIR) $(SDESTDIR) $(MANDIR)/man1/ $(MANDIR)/man8/
	@$(INSTALL) -m 0755 -d $(ELOGDIR)/scripts/ $(ELOGDIR)/resources/ $(ELOGDIR)/themes/default/icons 
	@$(INSTALL) -m 0755 -d $(ELOGDIR)/logbooks/demo
	@$(INSTALL) -v -m 0755 -o ${BINOWNER} -g ${BINGROUP} elog elconv $(DESTDIR)
	@$(INSTALL) -v -m 0755 -o ${BINOWNER} -g ${BINGROUP} elogd $(SDESTDIR)
	@$(INSTALL) -v -m 0644 man/elog.1 man/elconv.1 $(MANDIR)/man1/
	@$(INSTALL) -v -m 0644 man/elogd.8 $(MANDIR)/man8/
	@$(INSTALL) -v -m 0644 man/elogd.8 $(MANDIR)/man8/
	@$(INSTALL) -v -m 0644 scripts/* $(ELOGDIR)/scripts/

	@echo "Installing resources to $(ELOGDIR)/resources"	
	@$(INSTALL) -m 0644 resources/* $(ELOGDIR)/resources/

	@echo "Installing themes to $(ELOGDIR)/themes"	
	@$(INSTALL) -m 0644 themes/default/icons/* $(ELOGDIR)/themes/default/icons/
	@for file in `find themes/default -type f | grep -v .svn` ; \
          do \
          install -D -m 0644 $$file $(ELOGDIR)/themes/default/`basename $$file` ;\
          done

	@echo "Installing example logbook to $(ELOGDIR)/logbooks/demo"	
	@if [ ! -f $(ELOGDIR)/logbooks/demo ]; then  \
	  install -v -m 0644 logbooks/demo/* $(ELOGDIR)/logbooks/demo ; \
	fi

	@sed "s#\@PREFIX\@#$(PREFIX)#g" elogd.init_template > elogd.init
	@$(INSTALL) -v -D -m 0755 elogd.init $(RCDIR)/elogd

	@if [ ! -f $(ELOGDIR)/elogd.cfg ]; then  \
	  install -v -m 644 elogd.cfg $(ELOGDIR)/elogd.cfg ; \
	fi

restart:
	$(RCDIR)/elogd restart
clean:
	-$(RM) *~ $(EXECS) regex.o mxml.o strlcpy.o locext

## elog 2.6.3+r1764

=== elog/Makefile ===
--- 
+++ 
@@ -34,15 +34,12 @@
 BINOWNER = bin
 BINGROUP = bin
 
-INSTALL = /usr/bin/install
+INSTALL = `which install`
 RM = /bin/rm -f
 
 OSTYPE = $(shell uname)
 
-# -lutil needed for forkpty()
-LIBS += -lutil
-
-ifeq ($(OSTYPE),solaris)
+ifeq ($(OSTYPE),SunOS)
 CC = gcc
 LIBS += -lsocket -lnsl
 CFLAGS =
@@ -64,6 +61,10 @@
 CC = gcc
 BINOWNER = root
 BINGROUP = wheel
+endif
+
+ifeq ($(OSTYPE),Linux)
+CC = gcc
 endif
 
 CFLAGS += -DOS_$(OSTYPE)
@@ -93,11 +94,18 @@
 		indent $(IFLAGS) $$src; \
 	done
 
+ifeq ($(OSTYPE),CYGWIN_NT-5.1)
+loc: locext.exe
+	for lang in resources/eloglang*; do \
+	  ./locext.exe src/elogd.c $$lang; echo locext src/elogd.c $$lang;\
+	done
+else
 locext: src/locext.c
 loc: locext
 	@for lang in resources/eloglang*; do \
 	  ./locext src/elogd.c $$lang; echo locext src/elogd.c $$lang;\
 	done
+endif
 
 update: $(EXECS)
 	@$(INSTALL) -v -m 0755 -o ${BINOWNER} -g ${BINGROUP} elogd $(SDESTDIR)
@@ -120,19 +128,19 @@
 	@$(INSTALL) -m 0644 themes/default/icons/* $(ELOGDIR)/themes/default/icons/
 	@for file in `find themes/default -type f | grep -v .svn` ; \
           do \
-          install -D -m 0644 $$file $(ELOGDIR)/themes/default/`basename $$file` ;\
+          $(INSTALL) -D -m 0644 $$file $(ELOGDIR)/themes/default/`basename $$file` ;\
           done
 
 	@echo "Installing example logbook to $(ELOGDIR)/logbooks/demo"	
 	@if [ ! -f $(ELOGDIR)/logbooks/demo ]; then  \
-	  install -v -m 0644 logbooks/demo/* $(ELOGDIR)/logbooks/demo ; \
+	  $(INSTALL) -v -m 0644 logbooks/demo/* $(ELOGDIR)/logbooks/demo ; \
 	fi
 
 	@sed "s#\@PREFIX\@#$(PREFIX)#g" elogd.init_template > elogd.init
 	@$(INSTALL) -v -D -m 0755 elogd.init $(RCDIR)/elogd
 
 	@if [ ! -f $(ELOGDIR)/elogd.cfg ]; then  \
-	  install -v -m 644 elogd.cfg $(ELOGDIR)/elogd.cfg ; \
+	  $(INSTALL) -v -m 644 elogd.cfg $(ELOGDIR)/elogd.cfg ; \
 	fi
 
 restart:

## elog 2.9.2+2014.05.11git44800a7

=== Makefile ===
# Simple makefile for elogd
#
# S. Ritt, May 12th 2000
# install/clean section by Th. Bullinger, Apr. 26th, 2002
#############################################################

#
# Directories for installation, modify if needed
#

ifndef PREFIX
PREFIX     = /usr/local
endif

ifndef MANDIR
MANDIR     = $(ROOT)$(PREFIX)/man
endif

ELOGDIR    = $(ROOT)$(PREFIX)/elog
DESTDIR    = $(ROOT)$(PREFIX)/bin
SDESTDIR   = $(ROOT)$(PREFIX)/sbin
RCDIR      = $(ROOT)/etc/rc.d/init.d

# flag for SSL support
USE_SSL    = 1

# flag for Kerberos support, please turn on if you need Kerberos
USE_KRB5   = 0

#############################################################

# Default compilation flags unless stated otherwise.
CFLAGS += -O3 -funroll-loops -fomit-frame-pointer -W -Wall -Wno-deprecated-declarations
#CFLAGS += -g -funroll-loops -fomit-frame-pointer -W -Wall

CC = gcc
IFLAGS = -kr -nut -i3 -l110
EXECS = elog elogd elconv
GIT_REVISION = src/git-revision.h
MXMLDIR = ../mxml
BINOWNER = bin
BINGROUP = bin

INSTALL = `which install`
RM = /bin/rm -f

OSTYPE = $(shell uname)

ifeq ($(OSTYPE),SunOS)
CC = gcc
LIBS += -lsocket -lnsl
CFLAGS =
INSTALL = /usr/ucb/install
RM = /usr/bin/rm -f
endif

ifeq ($(OSTYPE),OpenBSD)
LIBS += -lcrypto
endif

ifeq ($(OSTYPE),Darwin)
OSTYPE=darwin
endif

ifeq ($(OSTYPE),darwin)
CC = cc
BINOWNER = root
BINGROUP = admin
endif

ifeq ($(OSTYPE),FreeBSD)
CC = gcc
BINOWNER = root
BINGROUP = wheel
endif

ifeq ($(OSTYPE),Linux)
CC = gcc
endif

CFLAGS += -I$(MXMLDIR) 

ifdef USE_SSL
ifneq ($(USE_SSL),0)
CFLAGS += -DHAVE_SSL
LIBS += -lssl
endif
endif

ifdef USE_KRB5
ifneq ($(USE_KRB5),0)
CFLAGS += -DHAVE_KRB5
LIBS += -lkrb5
endif
endif

WHOAMI = $(shell whoami)
ifeq ($(WHOAMI),root)
BINFLAGS = -o ${BINOWNER} -g ${BINGROUP}
endif

all: $(EXECS) $(GIT_REVISION)

# put current GIT revision into header file to be included by programs
$(GIT_REVISION): src/elogd.c
	echo \#define GIT_REVISION \"`git log -n 1 --pretty=format:"%ad - %h"`\" > $(GIT_REVISION)

regex.o: src/regex.c src/regex.h
	$(CC) $(CFLAGS) -w -c -o regex.o src/regex.c

crypt.o: src/crypt.c
	$(CC) $(CFLAGS) -w -c -o crypt.o src/crypt.c

auth.o: src/auth.c
	$(CC) $(CFLAGS) -w -c -o auth.o src/auth.c

mxml.o: $(MXMLDIR)/mxml.c $(MXMLDIR)/mxml.h
	$(CC) $(CFLAGS) -c -o mxml.o $(MXMLDIR)/mxml.c

strlcpy.o: $(MXMLDIR)/strlcpy.c $(MXMLDIR)/strlcpy.h
	$(CC) $(CFLAGS) -c -o strlcpy.o $(MXMLDIR)/strlcpy.c

elogd: src/elogd.c regex.o crypt.o auth.o mxml.o strlcpy.o
	$(CC) $(CFLAGS) -o elogd src/elogd.c crypt.o auth.o regex.o mxml.o strlcpy.o $(LIBS)

elog: src/elog.c crypt.o
	$(CC) $(CFLAGS) -o elog src/elog.c crypt.o $(LIBS)

debug: src/elogd.c regex.o crypt.o auth.o mxml.o strlcpy.o
	$(CC) -g $(CFLAGS) -o elogd src/elogd.c crypt.o auth.o regex.o mxml.o strlcpy.o $(LIBS)

%: src/%.c
	$(CC) $(CFLAGS) -o $@ $< $(LIBS)

indent:
	for src in src/*.c; do \
		d2u $$src; \
		indent $(IFLAGS) $$src; \
		u2d $$src; \
	done

ifeq ($(OSTYPE),CYGWIN_NT-5.1)
loc: locext.exe
	for lang in resources/eloglang*; do \
	  ./locext.exe src/elogd.c $$lang; echo locext src/elogd.c $$lang;\
	done
else
locext: src/locext.c
loc: locext
	@for lang in resources/eloglang*; do \
	  ./locext src/elogd.c $$lang; echo locext src/elogd.c $$lang;\
	done
endif

update: $(EXECS)
	@$(INSTALL) -v -m 0755 ${BINFLAGS} elogd $(SDESTDIR)

install: $(EXECS)
	@$(INSTALL) -m 0755 -d $(DESTDIR) $(SDESTDIR) $(MANDIR)/man1/ $(MANDIR)/man8/
	@$(INSTALL) -m 0755 -d $(ELOGDIR)/scripts/ $(ELOGDIR)/resources/ $(ELOGDIR)/ssl/ $(ELOGDIR)/themes/default/icons 
	@$(INSTALL) -m 0755 -d $(ELOGDIR)/logbooks/demo
	@$(INSTALL) -v -m 0755 ${BINFLAGS} elog elconv $(DESTDIR)
	@$(INSTALL) -v -m 0755 ${BINFLAGS} elogd $(SDESTDIR)
	@$(INSTALL) -v -m 0644 man/elog.1 man/elconv.1 $(MANDIR)/man1/
	@$(INSTALL) -v -m 0644 man/elogd.8 $(MANDIR)/man8/
	@$(INSTALL) -v -m 0644 scripts/*.js $(ELOGDIR)/scripts/

	@echo "Installing FCKeditor to $(ELOGDIR)/scripts/fckeditor"
	@unzip -q -o scripts/fckeditor.zip -d $(ELOGDIR)/scripts/
	@$(INSTALL) -v -m 0644 scripts/fckeditor/fckelog.js $(ELOGDIR)/scripts/fckeditor/fckelog.js
	@mkdir -p -m 0755 $(ELOGDIR)/scripts/fckeditor/editor/plugins/elog
	@$(INSTALL) -v -m 0644 scripts/fckeditor/editor/plugins/elog/fckplugin.js $(ELOGDIR)/scripts/fckeditor/editor/plugins/elog/fckplugin.js
	@$(INSTALL) -v -m 0644 scripts/fckeditor/editor/plugins/elog/inserttime.gif $(ELOGDIR)/scripts/fckeditor/editor/plugins/elog/inserttime.gif

	@echo "Installing resources to $(ELOGDIR)/resources"	
	@$(INSTALL) -m 0644 resources/* $(ELOGDIR)/resources/
	@$(INSTALL) -m 0644 ssl/* $(ELOGDIR)/ssl/

	@echo "Installing themes to $(ELOGDIR)/themes"	
	@$(INSTALL) -m 0644 themes/default/icons/* $(ELOGDIR)/themes/default/icons/
	@for file in `find themes/default -type f | grep -v .svn` ; \
          do \
          $(INSTALL) -m 0644 $$file $(ELOGDIR)/themes/default/`basename $$file` ;\
          done

	@echo "Installing example logbook to $(ELOGDIR)/logbooks/demo"	
	@if [ ! -f $(ELOGDIR)/logbooks/demo ]; then  \
	  $(INSTALL) -v -m 0644 logbooks/demo/* $(ELOGDIR)/logbooks/demo ; \
	fi

	@sed "s#\@PREFIX\@#$(PREFIX)#g" elogd.init_template > elogd.init
	@mkdir -p -m 0755 $(RCDIR)
	@$(INSTALL) -v -m 0755 elogd.init $(RCDIR)/elogd

	@if [ ! -f $(ELOGDIR)/elogd.cfg ]; then  \
	  $(INSTALL) -v -m 644 elogd.cfg $(ELOGDIR)/elogd.cfg ; \
	fi

restart:
	$(RCDIR)/elogd restart
clean:
	-$(RM) *~ $(EXECS) regex.o crypt.o auth.o mxml.o strlcpy.o locext

=== debian/changelog ===
elog (2.9.2+2014.05.11git44800a7-2+deb8u2) jessie; urgency=medium

  * update patch 0005_elogd_CVE-2016-6342_fix to grant access
    to logbooks also as normal login user (Closes: #851909)

 -- Roger Kalt <roger.kalt@gmail.com>  Thu, 19 Jan 2017 22:45:52 +0100

elog (2.9.2+2014.05.11git44800a7-2+deb8u1) jessie; urgency=medium

  * Added patch 0005_elogd_CVE-2016-6342_fix to fix posting entry as
    arbitrary username (Closes: #836505, CVE-2016-6342)

 -- Roger Kalt <roger.kalt@gmail.com>  Sat, 17 Sep 2016 20:22:36 +0200

elog (2.9.2+2014.05.11git44800a7-2) unstable; urgency=low

  * debian/control:
    - fckeditor is no longer required but only suggested
    - Standards-Version to 3.9.6

 -- Roger Kalt <roger.kalt@gmail.com>  Thu, 23 Oct 2014 20:00:00 +0200

elog (2.9.2+2014.05.11git44800a7-1) unstable; urgency=low

  * Reintroduction into Debian (Closes: #748800)
  * New upstream release grabbed from git repository
  * KRB5 Kerberos authentication and SSL are enabled in the Debian binaries

 -- Roger Kalt <roger.kalt@gmail.com>  Sun, 11 May 2014 19:49:51 +0200

elog (2.6.3+r1764-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix bashism in postinst script (Closes: #472224)
  * debian/control:
    - Bump Standards-Version to 3.7.3.
    - Use Homepage: field for upstream URL.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 12 Apr 2008 04:28:55 +0100

elog (2.6.3+r1764-1) unstable; urgency=low

  * New upstream release grabbed from Subversion (r1764).

 -- Recai Oktaş <roktas@debian.org>  Wed, 29 Nov 2006 01:36:26 +0200

elog (2.6.2+r1754-1) unstable; urgency=low

  * New upstream release grabbed from Subversion (r1754), includes
    fixes for a bunch of security issues[1]:
    + Fixes from Ulf Harnhammar (Debian Security Audit Project):
      - There are some incorrect handling of *printf() calls and format
        strings. They lead to ELOG crashing completely, with the potential
        of executing arbitrary machine code programs, when a user uploads
        and submits as the first attachment in an entry a file called
        "%n%n%n%n" - or similar - which must not be empty.
      - There is a Cross-site Scripting issue when requesting correctly
        named but non-existant files for downloading.
      - There are also Cross-site Scripting issues when creating new
        entries with New. If a document sends data to ELOG where the fields
        Type and Category contain invalid entries with HTML code, the
        resulting error document will print the Type or Category data as-is
        with no quoting.
    + Fixes from OS2A team (credits go to Jayesh KS and Arun Kethipelly):
      - Remote exploitation of a denial of service vulnerability in ELOG's
        elogd server allows attackers to crash the service, thereby
        preventing legitimate access.  (Closes: #397875)
    [1] Leaving #392016 open for the reasons stated in that report.

 -- Recai Oktaş <roktas@debian.org>  Sat, 11 Nov 2006 19:47:39 +0200

elog (2.6.2+r1719-1) unstable; urgency=critical

  * Urgency set to critical because of the security issues.
  * New upstream release grabbed from Subversion (r1719).
    + Fix an XSS vulnerability, which occurs when editing a log entry
      in HTML mode.  (Closes: #389361)

 -- Recai Oktaş <roktas@debian.org>  Thu, 28 Sep 2006 01:36:38 +0300

elog (2.6.1+r1695-0unofficial) unstable; urgency=low

  * Improve README.Debian, (thanks K. David Prince).
  * New upstream release.

 -- Recai Oktaş <roktas@debian.org>  Thu,  6 Jul 2006 14:54:48 +0300

elog (2.6.1+r1642-1) unstable; urgency=critical

  * New upstream release grabbed from Subversion (r1642).
    + Really fix the security issue CVE-2005-4439.
  * Sigh!  Previous upload has some flaws:
    + Install elcode.js and other resoure files.  ElCode editor buttons
      should work now (thanks K. David Prince).
    + debian/update: Modify it to catch such sort of errors.
    + Really remove debian/watch.
    + Fix the pbuilder DEBEMAIL field which made the previous upload appear 
      as an NMU.
  * Add a Debian spesific note about the usage of password files in Elog.
  * Urgency set to critical for security fix.

 -- Recai Oktaş <roktas@debian.org>  Fri, 27 Jan 2006 10:27:44 +0200

elog (2.6.1+r1638-1) unstable; urgency=critical

  * New upstream release grabbed from Subversion (r1638).  Fix serious 
    security bugs (thanks to Florian Weimer).  (Closes: #349528)
    + "Do not distinguish between invalid user name and invalid password
       for security reasons"
    + "Fixed infinite redirection with ?fail=1"
    + "Prohibit '..' in URLs" [CVE-2006-0347]
    + "Fixed potential buffer overflows" [CVE-2005-4439]
    + "Added IP address to log file"
  * Urgency set to critical because of the security issues.
  * Upstream code has been migrated to Subversion.  Change package naming 
    scheme so as to track Subversion releases, instead of CVS.
  * Use Subversion exports as pristine sources directly.  In the older 
    versions, we used to rely on the upstream's build script.
  * debian/postrm: Purge cleanly even no logbook has been created.  This 
    situation occurs, for example, when elog is tested with piuparts.  It's 
    because, in fact, elogd can not dynamically create logbooks/demo in 
    postinst stage.  (Closes: #339958)
  * debian/control: Bump Standarts-Version to 3.6.2.
  * debian/rules: Add -lutil to LIBS.
  * debian/update: New utility for easy updates. 
  * debian/watch: Remove unneeded file.

 -- Recai Oktaş <roktas@debian.org>  Thu, 26 Jan 2006 21:45:44 +0200

elog (2.6.0beta2+r1716-1) unstable; urgency=low

  * New upstream beta release with the latest changes from CVS (r1.1716).
    + Features a simple markup called ELCode, a special set of tags to
      format an ELOG entry.  The ELCode tags are similar to the BBCode
      tags (phpBB), sometimes also referred as vB code.
  * Add Turkish ELOG translation.
  * Apply a patch to suppress GCC4-related signedness warnings.
  * debian/control:


=== debian/control ===
Source: elog
Section: web
Priority: optional
Maintainer: Roger Kalt <roger.kalt@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libssl-dev, libkrb5-dev
Standards-Version: 3.9.6
Homepage: http://midas.psi.ch/elog

Package: elog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, net-tools
Recommends: imagemagick
Suggests: fckeditor
Description: Logbook system to manage notes through a Web interface
 The Electronic Logbook (ELOG) provides a Web interface to manage notes.  Its
 general purpose is to make it easy for people to put and access information
 online; in the form of short, time stamped text messages with optional HTML
 markup for presentation, and optional file attachments.  ELOG has its own
 daemon, there is no need for a full-fledged server (e.g. Apache).  It stores
 notes as simple as plain text; no special formatting.  Its features:
 .
   * Personal logbooks: Personal notes can be written into ELOG and can then be
     retrieved from anywhere with a Web browser.
   * Shared logbooks: Logbooks can be shared by several people, for reading and
     optionally for writing.  Work groups can share and exchange information
     like in a (simplified) news group.
   * Small databases: Since arbitrary attributes can be defined for a logbook,
     it can be used as a small database with search facilities.
   * Problem collections: A system can consist of two logbooks, in one of which
     users enter bugs or problems.  Whenever someone adds a problem, an email
     is automatically sent to the administrator.
   * Shift logbooks: If the Allow delete and Allow edit flags are off, an entry
     cannot be modified once it's been entered.  This can be useful for shift
     logbooks for example in Physics experiments where each entry becomes a
     "document" with a time and author stamp.
   * File collections: Since files can be attached to ELOG entries, the system
     can be used to store and retrieve files.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2003, 2006  Recai Oktaş <roktas@omu.edu.tr>
# Copyright (c) 2014 Roger Kalt <roger.kalt@gmail.com>
# Portions are based on the sample debian/rules of debhelper.
#
# Licensed under the GNU General Public License, version 2.
# See the file `http://www.gnu.org/copyleft/gpl.txt'.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# A few convenience variables.
NAME=elog
SRCDIR=$(shell pwd)
DESTDIR=$(shell pwd)/debian/$(NAME)
CONFDIR=etc
DATADIR=usr/share/$(NAME)
VARDIR=var/lib/$(NAME)
DOCDIR=usr/share/doc/$(NAME)
SRVDIR=$(VARDIR)


CFLAGS = `dpkg-buildflags --get CFLAGS`
CFLAGS += -funroll-loops -fomit-frame-pointer -W -Wall -Wl,-z,relro -D_FORTIFY_SOURCE=2 
LDFLAGS = `dpkg-buildflags --get LDFLAGS`
LDFLAGS += defs

# Enable by default OpenSSL and KRB5 support in the Debian binaries
LIBS= -lkrb5 -lssl

# User CFLAGS
CFLAGS += -DHAVE_KRB5 \
	  -DHAVE_SSL \
	  -DUSE_CRYPT \
	  -DDEFAULT_PORT=80 \
	  -DCFGFILE=\"elog.conf\" \
          -DCONFIG_PATH=\"/$(CONFDIR)\" \
	  -DLOGBOOK_DIR=\"/$(SRVDIR)/logbooks\" \
	  -DRESOURCE_DIR=\"/$(DATADIR)\"


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	# Compile with the standard crypt support.
	cd $(SRCDIR); $(MAKE) CFLAGS='$(CFLAGS)' LIBS='$(LIBS)'
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-cd $(SRCDIR); $(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/elog install

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -X doc/ChangeLog $(SRCDIR)/doc-html-latest/
	# not installing the very old html pages located here: $(SRCDIR)/doc/
	# Fix 'doc/doc-html-latest'; 'doc/html' is more usual.
	-cd $(DESTDIR)/$(DOCDIR); mv doc-html-latest html
	# Remove contrib content and install new README with download location of external contributions
	# Reason: Too many different authors with too many different licenses: Should stay external of Debian
	mkdir -p $(DESTDIR)/$(DOCDIR)/contrib
	echo "Download external elog contributions here: https://midas.psi.ch/elogs/Contributions/" > $(DESTDIR)/$(DOCDIR)/contrib/README
	dh_installchangelogs $(SRCDIR)/doc/ChangeLog
	dh_installexamples debian/examples/*
	dh_installman $(SRCDIR)/man/*
	# install empty ssl directoy and skip the server.crt / server.key from orig sources
	mkdir -p $(DESTDIR)/usr/share/elog/ssl
	echo "In case SSL is enabled in '/etc/elog.conf' make here manually the following symbolic links:\n   ./server.key -> /etc/ssl/private/my.key\n   ./server.crt -> /etc/ssl/certs/my.pem\n\nGeneration of self-signed SSL certificates can e.g. be done easily with command /usr/sbin/make-ssl-cert from package ssl-cert." > $(DESTDIR)/usr/share/elog/ssl/README
	dh_lintian
	# install the init script but do not modify the postinst, prerm and postrm scripts
	dh_installinit --noscripts
	dh_install
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

# Get most current orig source from git repos and do the repacking automatically.
# The NEW_ORIG_VERSION must be set manually.
NEW_ORIG_VERSION=2.9.2+2014.05.11git44800a7
get-orig-source:
	mkdir get-orig-source
	git clone https://bitbucket.org/ritt/elog.git ./get-orig-source/elog
	git --git-dir=./get-orig-source/elog/.git reset --hard
	git --git-dir=./get-orig-source/elog/.git checkout 44800a7
	git clone https://bitbucket.org/tmidas/mxml.git  ./get-orig-source/mxml
	# move mxml/* into elog/src
	mv ./get-orig-source/mxml/* ./get-orig-source/elog/src
	# automatically generate ./src/git-revision.h from git repo log
	echo "/********************************************************************\n\n  Name:         git-revision.h\n  Created by:   Stefan Ritt\n  Copyright 2000 + Stefan Ritt\n\n  ELOG is free software: you can redistribute it and/or modify\n  it under the terms of the GNU General Public License as published by\n  the Free Software Foundation, either version 3 of the License, or\n  (at your option) any later version.\n\n  ELOG is distributed in the hope that it will be useful,\n  but WITHOUT ANY WARRANTY; without even the implied warranty of\n  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\n  GNU General Public License for more details.\n\n  You should have received a copy of the GNU General Public License\n  along with ELOG.  If not, see <http://www.gnu.org/licenses/>.\n\n********************************************************************/\n" \#define GIT_REVISION \"`git --git-dir=./get-orig-source/elog/.git log -n 1 --pretty=format:"%ad - %h"`\" > ./get-orig-source/elog/src/git-revision.h
	# delete embedded source of FCKeditor coming from upstream
	rm -rf ./get-orig-source/elog/scripts/fckeditor
	rm -rf ./get-orig-source/elog/scripts/fckeditor.zip
	# fetch latest version of ELOG homepage (HTML) for documentation purpose
	mkdir ./get-orig-source/elog/doc-html-latest
	wget -q -p -r -l 2 -nd -A css,png,gif,html -P ./get-orig-source/elog/doc-html-latest http://midas.psi.ch/elog	
	rm -rf ./get-orig-source/elog/doc-html-latest/robots.txt ./get-orig-source/elog/doc-html-latest/robots.txt.1
	# rename elog to elog-<new version>
	mv ./get-orig-source/elog ./get-orig-source/elog-$(NEW_ORIG_VERSION)
	# pack it
	tar czf ../../$(shell date "+%Y%m%d-%H%M%S")-REPACKED-elog_$(NEW_ORIG_VERSION).orig.tar.gz --exclude-vcs -C get-orig-source elog-$(NEW_ORIG_VERSION)
	rm -rf ./get-orig-source

.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# See uscan(1) for format

version=3
http://midas.psi.ch/elog/download/tar/elog-(\d\S*)\.tar\.gz

## elog 3.1.0

=== Makefile ===
# Simple makefile for elogd
#
# S. Ritt, May 12th 2000
# install/clean section by Th. Bullinger, Apr. 26th, 2002
#############################################################

#
# Directories for installation, modify if needed
#

ifndef PREFIX
PREFIX     = /usr/local
endif

ifndef MANDIR
MANDIR     = $(ROOT)$(PREFIX)/man
endif

ELOGDIR    = $(ROOT)$(PREFIX)/elog
DESTDIR    = $(ROOT)$(PREFIX)/bin
SDESTDIR   = $(ROOT)$(PREFIX)/sbin
RCDIR      = $(ROOT)/etc/rc.d/init.d

# flag for SSL support
USE_SSL    = 1

# flag for Kerberos support, please turn on if you need Kerberos
USE_KRB5   = 0

# flag for LDAP support, please turn on if you need LDAP
USE_LDAP   = 0

#############################################################

# Default compilation flags unless stated otherwise.
CFLAGS += -O3 -funroll-loops -fomit-frame-pointer -W -Wall -Wno-deprecated-declarations

CC = gcc
IFLAGS = -kr -nut -i3 -l110
EXECS = elog elogd elconv
GIT_REVISION = src/git-revision.h
BINOWNER = bin
BINGROUP = bin

# Option to use our own implementation of strlcat, strlcpy
NEED_STRLCPY = 1

INSTALL = `which install`
RM = /bin/rm -f

OSTYPE = $(shell uname)

ifeq ($(OSTYPE),SunOS)
CC = gcc
LIBS += -lsocket -lnsl
CFLAGS =
INSTALL = /usr/ucb/install
RM = /usr/bin/rm -f
endif

ifeq ($(OSTYPE),OpenBSD)
LIBS += -lcrypto
endif

ifeq ($(OSTYPE),Darwin)
OSTYPE=darwin
endif

ifeq ($(OSTYPE),darwin)
CC = cc
BINOWNER = root
BINGROUP = admin
NEED_STRLCPY =
endif

ifeq ($(OSTYPE),FreeBSD)
CC = gcc
BINOWNER = root
BINGROUP = wheel
endif

ifeq ($(OSTYPE),Linux)
CC = gcc
endif

ifdef USE_SSL
ifneq ($(USE_SSL),0)
CFLAGS += -DHAVE_SSL
LIBS += -lssl
endif
endif

ifdef USE_KRB5
ifneq ($(USE_KRB5),0)
CFLAGS += -DHAVE_KRB5
LIBS += -lkrb5
endif
endif

ifdef USE_LDAP
ifneq ($(USE_LDAP),0)
CFLAGS += -DHAVE_LDAP
LIBS += -lldap
endif
endif

ifdef NEED_STRLCPY
OBJS += strlcpy.o
endif

WHOAMI = $(shell whoami)
ifeq ($(WHOAMI),root)
BINFLAGS = -o ${BINOWNER} -g ${BINGROUP}
endif

all: $(EXECS)

# put current GIT revision into header file to be included by programs
$(GIT_REVISION): src/elogd.c
	echo \#define GIT_REVISION \"`git log -n 1 --pretty=format:"%ad - %h"`\" > $(GIT_REVISION)

regex.o: src/regex.c src/regex.h
	$(CC) $(CFLAGS) -w -c -o regex.o src/regex.c

crypt.o: src/crypt.c
	$(CC) $(CFLAGS) -w -c -o crypt.o src/crypt.c

auth.o: src/auth.c
	$(CC) $(CFLAGS) -w -c -o auth.o src/auth.c

mxml.o: src/mxml.c src/mxml.h
	$(CC) $(CFLAGS) -c -o mxml.o src/mxml.c

strlcpy.o: src/strlcpy.c src/strlcpy.h
	$(CC) $(CFLAGS) -c -o strlcpy.o src/strlcpy.c

elogd: src/elogd.c regex.o crypt.o auth.o mxml.o $(GIT_REVISION)
	$(CC) $(CFLAGS) -o elogd src/elogd.c crypt.o auth.o regex.o mxml.o $(OBJS) $(LIBS)

elog: src/elog.c crypt.o $(OBJS)
	$(CC) $(CFLAGS) -o elog src/elog.c crypt.o $(OBJS) $(LIBS)

debug: src/elogd.c regex.o crypt.o auth.o mxml.o
	$(CC) -g $(CFLAGS) -O0 -o elogd src/elogd.c crypt.o auth.o regex.o mxml.o $(OBJS) $(LIBS)

%: src/%.c
	$(CC) $(CFLAGS) -o $@ $< $(LIBS)

indent:
	for src in src/*.c; do \
		d2u $$src; \
		indent $(IFLAGS) $$src; \
		u2d $$src; \
	done

ifeq ($(OSTYPE),CYGWIN_NT-5.1)
loc: locext.exe
	for lang in resources/eloglang*; do \
	  ./locext.exe src/elogd.c $$lang; echo locext src/elogd.c $$lang;\
	done
else
locext: src/locext.c
loc: locext
	@for lang in resources/eloglang*; do \
	  ./locext src/elogd.c $$lang; echo locext src/elogd.c $$lang;\
	done
endif

update: $(EXECS)
	@$(INSTALL) -v -m 0755 ${BINFLAGS} elogd $(SDESTDIR)

install: $(EXECS)
	@$(INSTALL) -m 0755 -d $(DESTDIR) $(SDESTDIR) $(MANDIR)/man1/ $(MANDIR)/man8/
	@$(INSTALL) -m 0755 -d $(ELOGDIR)/scripts/ $(ELOGDIR)/resources/ $(ELOGDIR)/ssl/ $(ELOGDIR)/themes/default/icons
	@$(INSTALL) -m 0755 -d $(ELOGDIR)/logbooks/demo
	@$(INSTALL) -m 0755 -d $(ELOGDIR)/logbooks/demo/2001
	@$(INSTALL) -v -m 0755 ${BINFLAGS} elog elconv $(DESTDIR)
	@$(INSTALL) -v -m 0755 ${BINFLAGS} elogd $(SDESTDIR)
	@$(INSTALL) -v -m 0644 man/elog.1 man/elconv.1 $(MANDIR)/man1/
	@$(INSTALL) -v -m 0644 man/elogd.8 $(MANDIR)/man8/
	@$(INSTALL) -v -m 0644 scripts/*.js $(ELOGDIR)/scripts/

	@echo "Installing CKeditor to $(ELOGDIR)/scripts/ckeditor"
	@cp -r scripts/* $(ELOGDIR)/scripts

	@echo "Installing resources to $(ELOGDIR)/resources"
	@$(INSTALL) -m 0644 resources/* $(ELOGDIR)/resources/
	@if [ ! -f $(ELOGDIR)/ssl/server.crt ]; then  \
	  $(INSTALL) -v -m 0644 ssl/server.crt $(ELOGDIR)/ssl/ ;\
	fi
	@if [ ! -f $(ELOGDIR)/ssl/server.key ]; then  \
	  $(INSTALL) -v -m 0644 ssl/server.key $(ELOGDIR)/ssl/ ;\
	fi

	@echo "Installing themes to $(ELOGDIR)/themes"
	@$(INSTALL) -m 0644 themes/default/icons/* $(ELOGDIR)/themes/default/icons/
	@for file in `find themes/default -type f` ;\
          do \
	    if [ ! -f $(ELOGDIR)/themes/default/`basename $$file` ]; then  \
              $(INSTALL) -m 0644 $$file $(ELOGDIR)/themes/default/`basename $$file` ; \
	    fi; \
	  done

	@echo "Installing example logbook to $(ELOGDIR)/logbooks/demo"
	@if [ ! -f $(ELOGDIR)/logbooks/demo/2001 ]; then  \
	  $(INSTALL) -v -m 0644 logbooks/demo/2001/* $(ELOGDIR)/logbooks/demo/2001 ; \
	fi

	@if [ ! -f $(ELOGDIR)/elogd.cfg ]; then  \
	  $(INSTALL) -v -m 644 elogd.cfg $(ELOGDIR)/elogd.cfg ; \
	fi

ifeq ($(OSTYPE),darwin)
	@$(INSTALL) -v -m 0644 elogd.plist /Library/LaunchDaemons/ch.psi.elogd.plist
	@echo The elogd service can now be started with 
	@echo "  sudo launchctl load /Library/LaunchDaemons/ch.psi.elogd.plist"
else
	@sed "s#\@PREFIX\@#$(PREFIX)#g" elogd.init_template > elogd.init
	@if [ ! -f $(RCDIR)/elogd ]; then  \
	  $(INSTALL) -v -m 0755 -D elogd.init $(RCDIR)/elogd ; \
	fi
endif

restart:
	$(RCDIR)/elogd restart
clean:
	-$(RM) *~ $(EXECS) regex.o crypt.o auth.o mxml.o strlcpy.o locext

## elog 3.1.0-2

=== debian/changelog ===
elog (3.1.0-2-1) unstable; urgency=low

  * new upstream version grabbed
  * debian/control:
    - libjs-jquery is required
    - fckeditor is no longer suggested but now ckeditor is recommended
  * debian/patches:
    - correct 0004_Makefile.patch in order KRB5 auth is enabled in elogd
    - add 0005_ReproducibleBuilds.patch to allow reproducible builds
  * debian/postinst:
    - add pathfind shell function proposed in Debian's Developer's Reference
  * debian/prerm:
    - add pathfind shell function proposed in Debian's Developer's Reference

 -- Roger Kalt <roger.kalt@gmail.com>  Thu, 7 May 2015 20:00:00 +0100

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2003, 2006  Recai Oktaş <roktas@omu.edu.tr>
# Copyright (c) 2014 Roger Kalt <roger.kalt@gmail.com>
# Portions are based on the sample debian/rules of debhelper.
#
# Licensed under the GNU General Public License, version 2.
# See the file `http://www.gnu.org/copyleft/gpl.txt'.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# A few convenience variables.
NAME=elog
SRCDIR=$(shell pwd)
DESTDIR=$(shell pwd)/debian/$(NAME)
CONFDIR=etc
DATADIR=usr/share/$(NAME)
VARDIR=var/lib/$(NAME)
DOCDIR=usr/share/doc/$(NAME)
SRVDIR=$(VARDIR)


CFLAGS = `dpkg-buildflags --get CFLAGS`
CFLAGS += -funroll-loops -fomit-frame-pointer -W -Wall -Wl,-z,relro -D_FORTIFY_SOURCE=2 
LDFLAGS = `dpkg-buildflags --get LDFLAGS`
LDFLAGS += defs

# Enable by default OpenSSL and KRB5 support in the Debian binaries
LIBS= -lkrb5 -lssl

# User CFLAGS
CFLAGS += -DHAVE_KRB5 \
	  -DHAVE_SSL \
	  -DUSE_CRYPT \
	  -DDEFAULT_PORT=80 \
	  -DCFGFILE=\"elog.conf\" \
          -DCONFIG_PATH=\"/$(CONFDIR)\" \
	  -DLOGBOOK_DIR=\"/$(SRVDIR)/logbooks\" \
	  -DRESOURCE_DIR=\"/$(DATADIR)\"


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	# Compile with the standard crypt support.
	cd $(SRCDIR); $(MAKE) CFLAGS='$(CFLAGS)' LIBS='$(LIBS)'
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-cd $(SRCDIR); $(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/elog install

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -X doc/ChangeLog $(SRCDIR)/doc/
	# not installing the very old html pages located here: $(SRCDIR)/doc/
	# Fix 'doc/doc'; 'doc/html' is more usual.
	-cd $(DESTDIR)/$(DOCDIR); mv doc html
	# Remove contrib content and install new README with download location of external contributions
	# Reason: Too many different authors with too many different licenses: Should stay external of Debian
	mkdir -p $(DESTDIR)/$(DOCDIR)/contrib
	echo "Download external elog contributions here: https://midas.psi.ch/elogs/Contributions/" > $(DESTDIR)/$(DOCDIR)/contrib/README
	dh_installchangelogs $(SRCDIR)/doc/ChangeLog
	dh_installexamples debian/examples/*
	dh_installman $(SRCDIR)/man/*
	# install empty ssl directoy and skip the server.crt / server.key from orig sources
	mkdir -p $(DESTDIR)/usr/share/elog/ssl
	echo "In case SSL is enabled in '/etc/elog.conf' make here manually the following symbolic links:\n   ./server.key -> /etc/ssl/private/my.key\n   ./server.crt -> /etc/ssl/certs/my.pem\n\nGeneration of self-signed SSL certificates can e.g. be done easily with command /usr/sbin/make-ssl-cert from package ssl-cert." > $(DESTDIR)/usr/share/elog/ssl/README
	dh_lintian
	# install the init script but do not modify the postinst, prerm and postrm scripts
	dh_installinit --noscripts
	dh_install
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

# Get most current orig source from PSI ELOG FTP server and do the repacking automatically.
# The ORIG_VERSION must be set manually.
ORIG_VERSION=3.1.0-2
get-orig-source:
	wget -q http://midas.psi.ch/elog/download/tar/elog-$(ORIG_VERSION).tar.gz
	tar xzf ./elog-$(ORIG_VERSION).tar.gz
	# rename elog folder
	mv ./elog-3.1.0 ./elog-$(ORIG_VERSION)
	# move mxml/* into elog/src
	mv ./mxml/* ./elog-$(ORIG_VERSION)/src
	# delete embedded source of CKeditor coming from upstream
	rm -rf ./elog-$(ORIG_VERSION)/scripts/ckeditor
	rm -rf ./elog-$(ORIG_VERSION)/scripts/ckeditor.zip
	# delete embedded jquery coming from upstream
	rm -rf ./elog-$(ORIG_VERSION)/scripts/jquery-1.11.1.min.js
	# remove compressed javacript of progress bar, fetch progress bar javascript sources and embed it
	rm -rf ./elog-$(ORIG_VERSION)/scripts/progress/*
	wget -q https://github.com/usablica/progress.js/archive/v0.1.0.tar.gz
	tar xzf v0.1.0.tar.gz
	cp progress.js-0.1.0/README.md ./elog-$(ORIG_VERSION)/scripts/progress/
	cp progress.js-0.1.0/src/* ./elog-$(ORIG_VERSION)/scripts/progress/
	# pack it
	cd ..
	tar czf ../../$(shell date "+%Y%m%d-%H%M%S")-REPACKED-elog_$(ORIG_VERSION).orig.tar.gz --exclude-vcs -C ./ elog-$(ORIG_VERSION)
	rm -rf ./elog-$(ORIG_VERSION).tar.gz ./mxml ./v0.1.0.tar.gz ./progress.js-0.1.0 ./elog-$(ORIG_VERSION)

.PHONY: build clean binary-indep binary-arch binary install

## elog 3.1.1

=== Makefile ===
--- 
+++ 
@@ -193,13 +193,7 @@
 	fi
 
 	@echo "Installing themes to $(ELOGDIR)/themes"
-	@$(INSTALL) -m 0644 themes/default/icons/* $(ELOGDIR)/themes/default/icons/
-	@for file in `find themes/default -type f` ;\
-          do \
-	    if [ ! -f $(ELOGDIR)/themes/default/`basename $$file` ]; then  \
-              $(INSTALL) -m 0644 $$file $(ELOGDIR)/themes/default/`basename $$file` ; \
-	    fi; \
-	  done
+	@cp -r themes/* $(ELOGDIR)/themes
 
 	@echo "Installing example logbook to $(ELOGDIR)/logbooks/demo"
 	@if [ ! -f $(ELOGDIR)/logbooks/demo/2001 ]; then  \

## elog 3.1.1-1

=== debian/changelog ===
elog (3.1.1-1-1) unstable; urgency=low

  * new upstream version grabbed
  * debian/patches:
     - update 0004_Makefile.patch to fix file permission in themes
     - update 0005_ReproducibleBuilds.patch for new upstream version
  * debian/copyright updated for new CKEditor version config file
  * debian/source/lintian-overrides updated

 -- Roger Kalt <roger.kalt@gmail.com>  Thu, 05 Nov 2015 22:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,8 @@
 
 Package: elog
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, net-tools
-Recommends: imagemagick
-Suggests: fckeditor
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, net-tools, libjs-jquery
+Recommends: imagemagick, ckeditor
 Description: Logbook system to manage notes through a Web interface
  The Electronic Logbook (ELOG) provides a Web interface to manage notes.  Its
  general purpose is to make it easy for people to put and access information

=== debian/rules ===
--- 
+++ 
@@ -102,12 +102,12 @@
 
 # Get most current orig source from PSI ELOG FTP server and do the repacking automatically.
 # The ORIG_VERSION must be set manually.
-ORIG_VERSION=3.1.0-2
+ORIG_VERSION=3.1.1-1
 get-orig-source:
 	wget -q http://midas.psi.ch/elog/download/tar/elog-$(ORIG_VERSION).tar.gz
 	tar xzf ./elog-$(ORIG_VERSION).tar.gz
 	# rename elog folder
-	mv ./elog-3.1.0 ./elog-$(ORIG_VERSION)
+	mv ./elog-3.1.1 ./elog-$(ORIG_VERSION)
 	# move mxml/* into elog/src
 	mv ./mxml/* ./elog-$(ORIG_VERSION)/src
 	# delete embedded source of CKeditor coming from upstream

## elog 3.1.2

=== Makefile ===
--- 
+++ 
@@ -116,8 +116,8 @@
 all: $(EXECS)
 
 # put current GIT revision into header file to be included by programs
-$(GIT_REVISION): src/elogd.c
-	echo \#define GIT_REVISION \"`git log -n 1 --pretty=format:"%ad - %h"`\" > $(GIT_REVISION)
+$(GIT_REVISION): src/elogd.c src/elog.c
+	type git &> /dev/null; if [ $$? -eq 1 ]; then REV="unknown" ;else REV=`git log -n 1 --pretty=format:"%ad - %h"`; fi; echo \#define GIT_REVISION \"$$REV\" > $(GIT_REVISION)
 
 regex.o: src/regex.c src/regex.h
 	$(CC) $(CFLAGS) -w -c -o regex.o src/regex.c
@@ -137,7 +137,7 @@
 elogd: src/elogd.c regex.o crypt.o auth.o mxml.o $(GIT_REVISION)
 	$(CC) $(CFLAGS) -o elogd src/elogd.c crypt.o auth.o regex.o mxml.o $(OBJS) $(LIBS)
 
-elog: src/elog.c crypt.o $(OBJS)
+elog: src/elog.c crypt.o $(OBJS) $(GIT_REVISION)
 	$(CC) $(CFLAGS) -o elog src/elog.c crypt.o $(OBJS) $(LIBS)
 
 debug: src/elogd.c regex.o crypt.o auth.o mxml.o
